Subject: [VCARDDAV] [Editorial Errata Reported] RFC6351 (3008)

From: RFC Errata System <[email-masked]>
Date: Mon, 31 Oct 2011 03:19:54 -0700 (PDT)

The following errata report has been submitted for RFC6351,
"xCard: vCard XML Representation".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=6351&eid=3008

--------------------------------------
Type: Editorial
Reported by: Torsten Fusswinkel <[email-masked]>

Section: Appendix A

Original Text
-------------
### Section 3.3: vCard Format Specification
#
# 3.3
iana-token = xsd:string { pattern = "[a-zA-Z0-9-]+" }
x-name = xsd:string { pattern = "x-[a-zA-Z0-9-]+" }

Corrected Text
--------------
### Section 3.3: vCard Format Specification
#
# 3.3
iana-token = xsd:string { pattern = "[a-zA-Z0-9\-]+" }
x-name = xsd:string { pattern = "x-[a-zA-Z0-9\-]+" }

Notes
-----
The minus sign has to be escaped with a backslash.

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC6351 (draft-ietf-vcarddav-vcardxml-11)
--------------------------------------
Title               : xCard: vCard XML Representation
Publication Date    : August 2011
Author(s)           : S. Perreault
Category            : PROPOSED STANDARD
Source              : vCard and CardDAV
Area                : Applications
Stream              : IETF
Verifying Party     : IESG

---

From: Simon Perreault <[email-masked]>
Date: Mon, 31 Oct 2011 09:16:33 -0400

> Original Text

What standard applies here? Many tools (including Perl) accept unescaped 
dashes when they appear first or last within a group because in these 
cases the meaning is unambiguous.

So unless we can say e.g. that "regular expressions in Relax NG must 
obey standard XYZ which requires dashes to be escaped", I would reject 
this errata.

Simon
-- 
DTN made easy, lean, and smart --> http://postellation.viagenie.ca
NAT64/DNS64 open-source        --> http://ecdysis.viagenie.ca
STUN/TURN server               --> http://numb.viagenie.ca